AFE_NXP_Arduino 2.0.2 Analog Front-End (AFE) device operation sample code for Arduino

Loading...
Searching...
No Matches
Public Member Functions | List of all members
NAFE33352_Base::LogicalChannel Class Reference

`#include <NAFE33352.h>`

Inheritance diagram for NAFE33352_Base::LogicalChannel:

## Public Member Functions
| LogicalChannel ()
virtual | ~LogicalChannel ()
void | configure (const uint16_t(&cc)[3])
void | configure (uint16_t cc0, uint16_t cc1=0x0000, uint16_t cc2=0x0000)
Public Member Functions inherited from LogicalChannel_Base
| LogicalChannel_Base ()
virtual | ~LogicalChannel_Base ()
void | enable (void)
void | disable (void)
template<class T>
T | read (void)
| operator AFE_base::raw_t (void)
| operator AFE_base::volt_t (void)
template<class T>
double | operator+ (T v)
template<class T>
double | operator- (T v)
template<class T>
double | operator* (T v)
template<class T>
double | operator/ (T v)
template<>
AFE_base::raw_t | read (void)
template<>
AFE_base::volt_t | read (void)

## Additional Inherited Members
Public Attributes inherited from LogicalChannel_Base
int | ch_number
AFE_base * | afe_ptr

## Detailed Description

LogicalChannel sub-class in NAFE33352_Base class

Definition at line 52 of file NAFE33352.h.

## Constructor & Destructor Documentation

## ◆ LogicalChannel()

NAFE33352_Base::LogicalChannel::LogicalChannel | ( |  | ) |

NXP Analog Front End class library for MCX

Author
  Tedd OKANO

Copyright: 2026 Tedd OKANO Released under the MIT license

Definition at line 13 of file NAFE33352.cpp.

## ◆ ~LogicalChannel()

NAFE33352_Base::LogicalChannel::~LogicalChannel | ( |  | ) |
| virtual

Definition at line 17 of file NAFE33352.cpp.

## Member Function Documentation

## ◆ configure() [1/2]

void NAFE33352_Base::LogicalChannel::configure | ( | const uint16_t(&) | cc[3] | ) |

Configure logical channel

Parameters

  cc | array for AI_CONFIG0, AI_CONFIG1 and AI_CONFIG2 rgister values

Definition at line 22 of file NAFE33352.cpp.

## ◆ configure() [2/2]

void NAFE33352_Base::LogicalChannel::configure | ( | uint16_t | cc0,
|  | uint16_t | cc1 = 0x0000,
|  | uint16_t | cc2 = 0x0000 )

Configure logical channel

Parameters

  cc0 | 16bit value to be set AI_CONFIG0 register (0x20)
  cc1 | 16bit value to be set AI_CONFIG1 register (0x21)
  cc2 | 16bit value to be set AI_CONFIG2 register (0x22)

Definition at line 28 of file NAFE33352.cpp.

The documentation for this class was generated from the following files:

- NAFE33352.h
- NAFE33352.cpp